"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SCOPE = "$_SCOPE_";
exports.SCOPE_DESTROYED = function (id) {
    return "Parent context scope #" + id + " has been destroyed! ";
};
exports.SCOPE_DESTROYED_METHOD = function (method) {
    return "\n\n(whilst evaluating a call to `scope." + method + "`)";
};
exports.NO_SCOPE = "Failed to locate a parent context scope!\n\n" +
    "(whilst evaluating a getter on `context.value`)";
exports.UNINITIALIZED_SCOPE = "The parent context scope was uninitialized!\n" +
    "As `initialValue` was not specified, you need to\n" +
    "manually call `scope.set` before attempting to reference it's value\n\n" +
    "(whilst evaluating a getter on `context.value`)";
