"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var defaultHandlers = {
    set: function (oldValue) { return function (newValue) {
        return typeof newValue === 'function' ? newValue(oldValue) : newValue;
    }; },
    increment: function (current) { return function (amount) {
        if (amount === void 0) { amount = 1; }
        return +current + amount;
    }; }
};
exports.default = defaultHandlers;
