"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SEPARATOR = "$";
exports.wrap = function () {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    return new Function("return function " + args.join(exports.SEPARATOR) + "() { return this.apply(null, arguments) }")();
};
exports.escapeRegex = function () {
    var regex = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        regex[_i] = arguments[_i];
    }
    return regex.join(exports.SEPARATOR).replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g, '\\$&');
};
exports.getTrace = function () {
    var Trace = Error;
    var original = Trace.stackTraceLimit;
    Trace.stackTraceLimit = Infinity;
    var stack = new Trace().stack;
    Trace.stackTraceLimit = original;
    return stack;
};
exports.parseTrace = function (stack) {
    var _a = stack.split('\n'), traces = _a.slice(1);
    return traces;
};
